Subject: Re: bug#2778: 23.0.91; Emacs (cvs) hangs

From: Andrew Hyatt <[email-masked]>
Date: Sun, 24 Jan 2016 17:06:26 -0500

Hi Jules,

Time has moved on and this hasn't gotten any replies.  I don't see any
concrete reproduction steps below, and I haven't seen this happen
myself.  Can you still reproduce this?  If not (or I don't get a
response), I'll mark this bug as done.

Jules Colding <[email-masked]> writes:

> I've recently, over the last week or so, seen emacs hang forever. I did a "t a a bt f" in gdb today but I forgot the xbacktrace command. The gdb outpout is below.
>
> Best regards,
>   jules
>
> colding@apollo ~/work/src/emacs/nextstep/Emacs.app/Contents/MacOS $ gdb ./Emacs 31574
> GNU gdb 6.3.50-20050815 (Apple version gdb-962) (Sat Jul 26 08:14:40 UTC 2008)
> Copyright 2004 Free Software Foundation, Inc.
> GDB is free software, covered by the GNU General Public License, and you are
> welcome to change it and/or distribute copies of it under certain conditions.
> Type "show copying" to see the conditions.
> There is absolutely no warranty for GDB.  Type "show warranty" for details.
> This GDB was configured as "i386-apple-darwin"...Reading symbols for shared libraries .......... done
>
> /Users/colding/work/src/emacs/nextstep/Emacs.app/Contents/MacOS/31574: No such file or directory.
> Attaching to program: `/Users/colding/work/src/emacs/nextstep/Emacs.app/Contents/MacOS/Emacs', process 31574.
> Reading symbols for shared libraries +++++++++........................................................................ done
> 0x94303f41 in -[NSApplication _indexOfWindow:] ()
> (gdb) t a a bt f
>
> Thread 1 (process 31574 thread 0x20b):
> #0  0x94303f41 in -[NSApplication _indexOfWindow:] ()
> No symbol table info available.
> #1  0x94443c7c in -[NSEvent window] ()
> No symbol table info available.
> #2  0x0016cab2 in -[EmacsView keyDown:] (self=0x14f23950, _cmd=0x9163d590, theEvent=0x14fe7190) at nsterm.m:4440
> 	dpyinfo = <value temporarily unavailable, due to optimizations>
> 	code = <value temporarily unavailable, due to optimizations>
> 	fnKeysym = <value temporarily unavailable, due to optimizations>
> 	nsEvArray = (NSMutableArray *) 0x86e3e0
> 	firstTime = 0 '\0'
> #3  0x0017d155 in -[EmacsMenu performKeyEquivalent:] (self=0x837010, _cmd=0x915f3a60, theEvent=0x14fe7190) at nsmenu.m:591
> No locals.
> #4  0x944ad3ac in -[NSApplication _handleKeyEquivalent:] ()
> No symbol table info available.
> #5  0x943ca16b in -[NSApplication sendEvent:] ()
> No symbol table info available.
> #6  0x0016b825 in -[EmacsApp sendEvent:] (self=0x819f70, _cmd=0x915a44b8, theEvent=0x14fe7190) at nsterm.m:4059
> 	window = (NSWindow *) 0x14f24430
> 	objc_super = {
>   self = 0x819f70, 
>   cls = 0xa0523ea0
> }
> #7  0x9432769f in -[NSApplication run] ()
> No symbol table info available.
> #8  0x00169c23 in ns_read_socket (terminal=0x8319a0, expected=1, hold_quit=0xbfffef94) at nsterm.m:3189
> 	ev = {
>   kind = NO_EVENT, 
>   code = 0, 
>   part = scroll_bar_above_handle, 
>   modifiers = 0, 
>   x = 0, 
>   y = 0, 
>   timestamp = 0, 
>   padding = {0x0, 0x0}, 
>   frame_or_window = 0, 
>   arg = 0
> }
> 	nevents = <value temporarily unavailable, due to optimizations>
> 	lastCheck = (NSDate *) 0x0
> #9  0x0009d271 in read_avail_input (expected=1) at keyboard.c:7089
> 	nr = 1
> 	hold_quit = {
>   kind = NO_EVENT, 
>   code = 0, 
>   part = scroll_bar_above_handle, 
>   modifiers = 0, 
>   x = 0, 
>   y = 0, 
>   timestamp = 0, 
>   padding = {0x0, 0x0}, 
>   frame_or_window = 0, 
>   arg = 0
> }
> 	next = (struct terminal *) 0x0
> 	nread = 0
> 	err = 0
> 	t = (struct terminal *) 0x8319a0
> #10 0x00169ff4 in ns_select (nfds=1, readfds=0xbffff268, writefds=0x0, exceptfds=0x0, timeout=0xbffff2e8) at nsterm.m:3262
> 	result = <value temporarily unavailable, due to optimizations>
> 	ev = <value temporarily unavailable, due to optimizations>
> #11 0x0014e078 in wait_reading_process_output (time_limit=0, microsecs=0, read_kbd=-1, do_display=1, wait_for_cell=25165833, wait_proc=0x0, just_wait_proc=0) at process.c:4811
> 	timeout_reduced_for_timers = 1
> 	channel = <value temporarily unavailable, due to optimizations>
> 	nfds = 0
> 	Available = {
>   fds_bits = {0 <repeats 32 times>}
> }
> 	Connecting = {
>   fds_bits = {0 <repeats 32 times>}
> }
> 	check_connect = 0
> 	check_delay = 0
> 	no_avail = <value temporarily unavailable, due to optimizations>
> 	xerrno = <value temporarily unavailable, due to optimizations>
> 	proc = <value temporarily unavailable, due to optimizations>
> 	timeout = {
>   tv_sec = 0, 
>   tv_usec = 124944
> }
> 	end_time = {
>   tv_sec = 0, 
>   tv_usec = 0
> }
> 	wait_channel = -1
> 	got_some_input = 0
> #12 0x0009f009 in read_char (commandflag=1, nmaps=2, maps=0xbffff4f0, prev_event=25165833, used_mouse_menu=0xbffff5e8, end_time=0x0) at keyboard.c:4097
> 	c = <value temporarily unavailable, due to optimizations>
> 	obj = <value temporarily unavailable, due to optimizations>
> 	end_time = (struct timeval *) Cannot access memory at address 0x0
> (gdb) kill
> Kill the program being debugged? (y or n) y
> (gdb) quit
> colding@apollo ~/work/src/emacs/nextstep/Emacs.app/Contents/MacOS $ 
>
>
>
> In GNU Emacs 23.0.91.14 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
>  of 2009-03-25 on apollo.42tools.com
> Windowing system distributor `Apple', version 10.3.949
> configured using `configure  '--with-ns' '--without-x' '--without-sound''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   value of $XMODIFIERS: nil
>   locale-coding-system: nil
>   default-enable-multibyte-characters: t
>
> Major mode: ObjC/l
>
> Minor modes in effect:
>   show-paren-mode: t
>   desktop-save-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   global-auto-composition-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>   abbrev-mode: t
>
> Recent input:
> y <menu-bar> <help-menu> <send-emacs-bug-report>
>
> Recent messages:
> Compiling /Users/colding/work/elisp/site-start.el...done
> Wrote /Users/colding/work/elisp/site-start.elc
> Loading /Users/colding/work/elisp/site-start.elc...done
> Loading /Users/colding/.emacs.d/elpa/package.el (source)...done
> Warning: desktop file appears to be in use by PID 31574.
> Using it may cause conflicts.  Use it anyway? (y or n) 
> Loading cc-mode...done
> Loading vc-svn...done
> Desktop: 5 buffers restored.
> For information about GNU Emacs and the GNU system, type C-h C-a.